## mcrl2 201202.0

=== CMakeLists.txt ===
# Authors: Frank Stappers and Aad Mathijssen
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

cmake_minimum_required (VERSION 2.6)
message(STATUS "CMAKE VERSION: ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}")
project (MCRL2)
# Commonly used options
# ---------------------
#
# The following lists some commonly used options to configure the build system
# (an option name following by (*) indicates the default option):
#
#   CMAKE_INSTALL_PREFIX = /usr/local(*) (any path can be used)
#   CMAKE_BUILD_TYPE     = None | Debug | Release(*) | RelwithDebInfo | MinSizeRel
#   BUILD_SHARED_LIBS    = ON    | OFF(*)
#   MCRL2_ENABLE_EXPERIMENTAL  = ON    | OFF(*)
#   MCRL2_ENABLE_DEPRECATED    = ON    | OFF(*)


# Note on adding definitions containing quotes (")
# ------------------------------------------------
#
# Compiler definitions can be added to CMake using the ADD_DEFINITIONS command
# or COMPILE_DEFINITIONS property. Be careful when adding a definition that
# contains quotes ("), as CMake cannot guarantee the generation of platform
# independent scripts. Typically these definitions are of the form FOO="bar",
# which can be added as follows:
#
#   add_definitions(-DFOO="bar")
#
# From this, CMake is able to generate correct Makefiles. However, CMake is
# not able to generate a correct Eclipse CDT4 project.
#
# The solution that is currently employed is by adding compiler definitions
# that contain quotes using the set_source_files_properties command with the
# the COMPILE_DEFINITIONS property:
#
#   set_source_files_properties(baz.cpp
#     PROPERTIES COMPILE_DEFINITIONS FOO="bar"
#   )
#
# This way, these compiler definitions are not included in the Eclipse CDT4
# project file, circumventing the problem.
#
# When this solution cannot be applied, there is another workaround: by quoting
# the entire compiling definition it is prevented from being incorporated in
# the Eclipse CDT4 project:
#
#   add_definitions(-D"FOO=\\"bar\\"")
#
# However, the best solution is to avoid the need for these quotes in the
# first place. This is mentioned as a disclaimer in the CMake 2.6 documentation
# for the COMPILER_DEFINITIONS property:
#
#   Dislaimer: Most native build tools have poor support for escaping
#   certain values. CMake has work-arounds for many cases but some values
#   may just not be possible to pass correctly. If a value does not seem to
#   be escaped correctly, do not attempt to work-around the problem by
#   adding escape sequences to the value. Your work-around may break in a
#   future version of CMake that has improved escape support. Instead
#   consider defining the macro in a (configured) header file. Then report
#   the limitation.
#
# The disclaimer with some additional information can be found here:
#
#   http://www.cmake.org/cmake/help/cmake2.6docs.html#prop_dir:COMPILE_DEFINITIONS
#

set( MCRL2_ENABLE_SVN true )
set( MCRL2_ENABLE_PARSERS true )

IF( "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" STRLESS "2.8" )
  message(STATUS "=========================================" )
  message(STATUS "CMake version 2.8+ is required for:" )
  message(STATUS "  svn revision in tools" )
  message(STATUS "  generating parsers" )
  message(STATUS "Current version of CMake is NOT suitable" )
  message(STATUS "for development purposes." )
  message(STATUS "=========================================" )

	set( MCRL2_ENABLE_SVN false )
	set( MCRL2_ENABLE_PARSERS false )
ENDIF( "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" STRLESS "2.8" )

# Set path where additional modules can be found
set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/scripts" ) 

# Variables required for an additional build type "Maintainer"

include(CheckCXXCompilerFlag)

##---------------------------------------------------
## Add "Maintainer" Build type
##---------------------------------------------------
include(MCRL2AddMaintainerBuildType)

##---------------------------------------------------
## Determine build type
##---------------------------------------------------

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)

message(STATUS "CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE} " )

##---------------------------------------------------
## Print CMake install prefix (if any)
##---------------------------------------------------

message(STATUS "CMAKE_INSTALL_PREFIX: ${CMAKE_INSTALL_PREFIX}")

##-----------------------------------------------------
## Set platform specific options 
##-----------------------------------------------------
if(WIN32)
  include(ConfigureWindows)
endif(WIN32)
if(UNIX AND NOT APPLE)
  include(ConfigureUnix)
endif(UNIX AND NOT APPLE)
if(APPLE)
  include(ConfigureApple)
endif(APPLE)
set(MCRL2_LIB_DIR "lib/mcrl2")

message(STATUS "BUILD_SHARED_LIBS: ${BUILD_SHARED_LIBS}")

##-----------------------------------------------------
## Set runtime path variable RPATH for install targets
##-----------------------------------------------------

# use, i.e. don't skip the full RPATH for the build tree
set(CMAKE_SKIP_BUILD_RPATH false)

# when building, don't use the install RPATH already
# (but later on when installing)
set(CMAKE_BUILD_WITH_INSTALL_RPATH false)

# the RPATH to be used when installing (non-OSX, use CMAKE_INSTALL_NAME_DIR instead)
if(NOT CMAKE_INSTALL_RPATH)
  set(CMAKE_INSTALL_RPATH "$ORIGIN/../${MCRL2_LIB_DIR}")
endif(NOT CMAKE_INSTALL_RPATH)

# Mac OSX directory name for installed targets
# Installing prerequisite shared libraries is dealt with in "RelocateInstallTree.cmake"
set(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/${MCRL2_LIB_DIR}")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH true)


##---------------------------------------------------
## Print compiler information
##---------------------------------------------------
include(GetCompilerVersion)

##---------------------------------------------------
## Print architecture information
##---------------------------------------------------
include(GetArchitectureInformation)

##-----------------------------------------------------
## Set Compiler specific options 
##-----------------------------------------------------
if( CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX )
  include(ConfigureGCC)
endif( CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX )
if( CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_C_COMPILER_ID STREQUAL "Clang" )
  include(ConfigureClang)
endif( CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_C_COMPILER_ID STREQUAL "Clang" )
if(MSVC)
  include(ConfigureMSVC)
endif(MSVC)

##---------------------------------------------------
## Configure Boost 
##---------------------------------------------------
include(ConfigureBoost)

##---------------------------------------------------
## Option to enable/disable mcrl2-gui tools 
##---------------------------------------------------
option(MCRL2_ENABLE_GUI_TOOLS "Enable/disable creation of GUI tools" ON)

##---------------------------------------------------
## Detect OpenGL 
##---------------------------------------------------

if( MCRL2_ENABLE_GUI_TOOLS )
  include(FindOpenGL)
  message(STATUS "OpenGL: ${OPENGL_FOUND}")
  
  if(NOT OPENGL_FOUND)
    message( FATAL_ERROR "OpenGL not found. Set MCRL2_ENABLE_GUI_TOOLS to FALSE to build without GUI-tools")
  else( OPENGL_FOUND )
    if ( APPLE )
      include_directories( ${OPENGL_INCLUDE_DIR} )
      link_directories(${OPENGL_LIBRARIES})
      set(CMAKE_EXE_LINKER_FLAGS "-framework OpenGL ${CMAKE_EXE_LINKER_FLAGS}")
      set(CMAKE_SHARED_LINKER_FLAGS "-framework OpenGL ${CMAKE_SHARED_LINKER_FLAGS}")
      set(CMAKE_MODULE_LINKER_FLAGS "-framework OpenGL ${CMAKE_SHARED_LINKER_FLAGS}")
    endif (APPLE)
  endif(NOT OPENGL_FOUND)
endif( MCRL2_ENABLE_GUI_TOOLS )

##---------------------------------------------------
## Configure wxWidgets 
##---------------------------------------------------
include(ConfigureWxWidgets)

##---------------------------------------------------
## Determine latest SVN revision
##---------------------------------------------------

include(MCRL2Version)
message(STATUS "mCRL2 version: ${MCRL2_VERSION}")
message(STATUS "SVN data: ${Project_WC_LAST_CHANGED_DATE}")

##---------------------------------------------------
## Store copyright information in variable
##---------------------------------------------------
file(READ COPYING MCRL2_COPYRIGHT_TEXT)

##---------------------------------------------------
## Find cvc3 
##---------------------------------------------------

find_package( cvc3 )
if( cvc3_FOUND )
  message(STATUS "CVC3 version: ${cvc3_VERSION}")
endif( cvc3_FOUND )

##---------------------------------------------------
## Find gl2ps library, and use if available
##---------------------------------------------------
if(MCRL2_ENABLE_GUI_TOOLS)
  find_package(gl2ps)
  if( GL2PS_FOUND )
    message(STATUS "using system gl2ps library")
  else( GL2PS_FOUND )
    message(STATUS "using mcrl2-provided gl2ps library")

    ##---------------------------------------------------
    ## Find mlib / required by gl2ps to resolve undefined symbols
    ##---------------------------------------------------
    if(UNIX)
      find_package( mlib )
      if( mlib_FOUND )
        message(STATUS "mlib found")
      else( mlib_FOUND )
        message( FATAL_ERROR "mlib is required")
      endif( mlib_FOUND )
    endif(UNIX)
  endif( GL2PS_FOUND)
endif(MCRL2_ENABLE_GUI_TOOLS)

##---------------------------------------------------
## TODO: Find dparser
##---------------------------------------------------

##---------------------------------------------------
## Option to enable/disable CADP support 
##---------------------------------------------------
option(MCRL2_ENABLE_CADP_SUPPORT "Enable/disable support for CADP" OFF)

##---------------------------------------------------
## Setup dependency to CADP
##---------------------------------------------------

include(MCRL2CADPSupport)

##---------------------------------------------------
## Library and executable staging 
##---------------------------------------------------

set(MCRL2_STAGE_ROOTDIR ""
  CACHE PATH "Path to stage executables and libraries." )
  message( STATUS "MCRL2_STAGE_ROOTDIR: ${MCRL2_STAGE_ROOTDIR}" )
if( MCRL2_STAGE_ROOTDIR )
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${MCRL2_STAGE_ROOTDIR}/bin")
  set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${MCRL2_STAGE_ROOTDIR}/lib")
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${MCRL2_STAGE_ROOTDIR}/share/mcrl2")
endif( MCRL2_STAGE_ROOTDIR )

##---------------------------------------------------
## 3rd party dependencies
##---------------------------------------------------

add_subdirectory ( 3rd-party/svc )
if(MCRL2_ENABLE_GUI_TOOLS)
  add_subdirectory ( 3rd-party/tr)
  if(NOT GL2PS_FOUND)
    add_subdirectory ( 3rd-party/gl2ps )
  endif(NOT GL2PS_FOUND)
endif(MCRL2_ENABLE_GUI_TOOLS)

##---------------------------------------------------
## DParser
##---------------------------------------------------

add_subdirectory ( 3rd-party/dparser )
add_subdirectory ( tools/mcrl2parse )

##---------------------------------------------------
## Library dependencies
##---------------------------------------------------

  add_subdirectory ( libraries/aterm )
  add_subdirectory ( libraries/data )
  add_subdirectory ( libraries/utilities )
  add_subdirectory ( libraries/core )
  add_subdirectory ( libraries/pbes )
  add_subdirectory ( libraries/process )
  add_subdirectory ( libraries/lps )
  add_subdirectory ( libraries/lts )

##---------------------------------------------------
## Tool dependencies

=== 3rd-party/dparser/CMakeLists.txt ===
# Author: Sjoerd Cranen
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# ########## Project setup ##########
project(dparser)
cmake_minimum_required(VERSION 2.6)

add_definitions(
  -DD_MAJOR_VERSION=1
  -DD_MINOR_VERSION=26
  -DD_BUILD_VERSION="mCRL2"
  -DD_USE_FREELISTS=1
)

if(MSVC)
add_definitions(
  -Dstrtoll=_strtoi64
  -Dstrncasecmp=_strnicmp
  -Dsnprintf=_snprintf
)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /w")
else(MSVC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -w")
   # The following is more accurate, but currently does not do the job
  #set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-sign-compare -Wno-unused-parameter -Wno-long-long -Wno-format")
endif(MSVC)

# ######### General setup ##########
include_directories(${CMAKE_SOURCE_DIR}/3rd-party/dparser)

# actual target:
add_library(dparser 
  arg.c 
  parse.c 
  scan.c 
  symtab.c 
  util.c 
  read_binary.c 
  dparse_tree.c
)

add_executable(make_dparser 
  make_dparser.c
  version.c
  mkdparse.c 
  write_tables.c 
  grammar.g.c 
  gram.c 
  lex.c 
  lr.c
)

target_link_libraries(make_dparser
  dparser
)

install(TARGETS dparser DESTINATION ${MCRL2_LIB_DIR})

=== build/macosx/CMakeLists.txt ===
# Authors: Frank Stappers
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# ########## Project setup ##########
project(mac_installer)
cmake_minimum_required(VERSION 2.6)


# ########## Create MacOSX Bundle Information ######### 
include(MCRL2MacOSXBundleInformation)
# overrule default MACOSX_BUNDLE_ICON_FILE location
SET(MACOSX_BUNDLE_ICON_FILE mcrl2-logo.icns)

# ######### General setup ##########

if ( MCRL2_ENABLE_GUI_TOOLS )
add_executable(${PROJECT_NAME} WIN32 MACOSX_BUNDLE
  mac_installer.cpp
  ${MACOSX_BUNDLE_ICON_FILE}
)

IF (APPLE)
 SET_SOURCE_FILES_PROPERTIES(${MACOSX_BUNDLE_ICON_FILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
ENDIF (APPLE)


include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)

target_link_libraries(${PROJECT_NAME}
  ${wxWidgets_LIBRARIES}
)

# install target:
install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_BIN_DIR})

else ( MCRL2_ENABLE_GUI_TOOLS )
  message( STATUS "MCRL2_BUILD_GUI_TOOLS needs to be set to TRUE to create installer")
endif ( MCRL2_ENABLE_GUI_TOOLS )

=== doc/sphinx/CMakeLists.txt ===
# Authors: Jeroen Keiren
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# This script generates toolset documentation

configure_file( "${CMAKE_CURRENT_SOURCE_DIR}/source/user_manual/downloads-nightly.inc.template" "${CMAKE_CURRENT_SOURCE_DIR}/source/user_manual/downloads-nightly.inc" @ONLY )

set( MCRL2_GENERATE_DOC_RELEASE_FLAG "" )
if(MCRL2_PACKAGE_RELEASE)
  set( MCRL2_GENERATE_DOC_RELEASE_FLAG "-r" )
endif(MCRL2_PACKAGE_RELEASE)

set( MCRL2_GENERATE_DOC_SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/generate.py )
set( MCRL2_GENERATE_DOC_COMMAND ${MCRL2_GENERATE_DOC_SCRIPT} ${MCRL2_GENERATE_DOC_RELEASE_FLAG} -v=${MCRL2_VERSION} --temp=${CMAKE_CURRENT_BINARY_DIR}/_temp --out=${CMAKE_CURRENT_BINARY_DIR}/html )

add_custom_target(doc
  ${MCRL2_GENERATE_DOC_COMMAND} -c
  COMMAND ${MCRL2_GENERATE_DOC_COMMAND}
  COMMENT "(Re)-generating mCRL2 documentation (regenerates all cached documentation)" VERBATIM
)

add_custom_target(fastdoc ${MCRL2_GENERATE_DOC_COMMAND}
  COMMENT "Generating mCRL2 documentation (does not regenerate cached PDF, manual pages and Doxygen documentation)" VERBATIM
)

=== libraries/aterm/CMakeLists.txt ===
# Authors: Frank Stappers and Aad Mathijssen
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

project(mcrl2_aterm)
cmake_minimum_required(VERSION 2.6)

# main target
add_library(${PROJECT_NAME}
  source/idmappings.cpp
  source/bafio.cpp
  source/memmgnt.cpp
  source/memory.cpp
  source/aterm.cpp
  source/hash.cpp
  source/list.cpp
  source/afun.cpp
  source/safio.cpp
  source/byteencoding.cpp
  source/byteio.cpp
  source/gc.cpp
  source/aterm_ext.cpp
)

include_directories(${CMAKE_SOURCE_DIR}/libraries/aterm/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)

target_link_libraries(mcrl2_aterm
  mcrl2_utilities
)

install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_LIB_DIR})

=== libraries/core/CMakeLists.txt ===
# Authors: Frank Stappers and Aad Mathijssen
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# ########## Project setup ##########
project(mcrl2_core)
cmake_minimum_required(VERSION 2.6)

# ##### Generate parser tables ######

# Silence warnings while compiling generated C code (mcrl2_syntax.c is the only
# C code in this library)
if(MSVC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /w") # Disable all warnings
else(MSVC)
  if (CMAKE_C_COMPILER_ID STREQUAL "Clang")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -w") # Disable all warnings
  else (CMAKE_C_COMPILER_ID STREQUAL "Clang")
    # Assuming GCC: disable only the missing-field-initializer warning.
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-missing-field-initializers")
  endif (CMAKE_C_COMPILER_ID STREQUAL "Clang")
endif(MSVC)

add_custom_command(
  OUTPUT ${CMAKE_SOURCE_DIR}/libraries/core/source/mcrl2_syntax.c
  COMMAND make_dparser -A -H1 -imcrl2 -o${CMAKE_CURRENT_SOURCE_DIR}/source/mcrl2_syntax.c ${CMAKE_SOURCE_DIR}/doc/specs/mcrl2-syntax.g
  DEPENDS make_dparser ${CMAKE_SOURCE_DIR}/doc/specs/mcrl2-syntax.g
)

include_directories(
  ${CMAKE_SOURCE_DIR}/3rd-party/dparser
)

add_library(mcrl2_syntax
  source/mcrl2_syntax.c
)

target_link_libraries(mcrl2_syntax
  dparser
)

# add install target:
install(TARGETS mcrl2_syntax DESTINATION ${MCRL2_LIB_DIR})

# ######### Set policies ############

# ###################################
# "core" links to some transitive
# libraries for which the linker must
# search:
#   wxWidgets
# Therefore CMP0003 is set to NEW
# If not set, a BUILD_SHARED_LIB=TRUE
# combined with a wxWidgets build
# raises a warning
# ###################################

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# ######### General setup ##########

set(mcrl2_core_src
  ${CMAKE_CURRENT_SOURCE_DIR}/source/parse.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/core.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/struct_core.cpp
)

set(mcrl2_core_src ${mcrl2_core_src} PARENT_SCOPE)

include_directories(${CMAKE_SOURCE_DIR}/libraries/process/include )
include_directories(${CMAKE_SOURCE_DIR}/libraries/lps/include )
include_directories(${CMAKE_SOURCE_DIR}/libraries/core/include )
include_directories(${CMAKE_SOURCE_DIR}/libraries/data/include )
include_directories(${CMAKE_SOURCE_DIR}/libraries/aterm/include )
include_directories(${CMAKE_SOURCE_DIR}/libraries/atermpp/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)
include_directories(${CMAKE_SOURCE_DIR}/build/workarounds/)

# actual target:
add_library(${PROJECT_NAME}
  ${mcrl2_core_src}
)

target_link_libraries(${PROJECT_NAME}
  mcrl2_aterm
  mcrl2_utilities
  mcrl2_syntax
)


# add install target:
install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_LIB_DIR})

=== libraries/data/CMakeLists.txt ===
# Authors: Frank Stappers and Aad Mathijssen
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# ########## Project setup ##########
project(mcrl2_data)
cmake_minimum_required(VERSION 2.6)

# ######### General setup ##########

#jitty.c requires DL_LIBS
if(UNIX)
  LINK_LIBRARIES(${CMAKE_THREAD_LIBS} ${CMAKE_DL_LIBS})
  set(COMP_REWRITERS
   ${CMAKE_CURRENT_SOURCE_DIR}/source/detail/rewrite/jittyc.cpp
#   ${CMAKE_CURRENT_SOURCE_DIR}/source/detail/rewrite/innerc.cpp
  )
endif(UNIX)

set(mcrl2_data_src
 ${CMAKE_CURRENT_SOURCE_DIR}/source/data.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/source/data_specification.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/source/typecheck.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/source/detail/enumerate/enum_standard.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/source/detail/prover/smt_lib_solver.cpp

 ${CMAKE_CURRENT_SOURCE_DIR}/source/detail/rewrite/with_prover.cpp
 # ${CMAKE_CURRENT_SOURCE_DIR}/source/detail/rewrite/inner.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/source/detail/rewrite/jitty.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/source/detail/rewrite/rewrite.cpp
 ${COMP_REWRITERS}
)

set(mcrl2_data_src ${mcrl2_data_src} PARENT_SCOPE)

include_directories(${CMAKE_SOURCE_DIR}/libraries/lps/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/process/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/data/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/core/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/atermpp/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/aterm/include)
include_directories(${CMAKE_SOURCE_DIR}/3rd-party/dparser)
include_directories(${CMAKE_SOURCE_DIR}/build/workarounds)
include_directories(${CMAKE_SOURCE_DIR}/build/precompile)
#The following include directory is required by out-of-source builds for finding setup.h
include_directories(${CMAKE_BINARY_DIR}/libraries/utilities/include)

add_library(${PROJECT_NAME}
  ${mcrl2_data_src}
)

target_link_libraries(${PROJECT_NAME}
  mcrl2_core
  mcrl2_utilities
)

# add install target:
install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_LIB_DIR})

=== libraries/lps/CMakeLists.txt ===
# Authors: Frank Stappers and Aad Mathijssen
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# ########## Project setup ##########
project(mcrl2_lps)
cmake_minimum_required(VERSION 2.6)

# ######### General setup ##########

include_directories(${CMAKE_SOURCE_DIR}/libraries/trace/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/lps/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/data/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/core/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/process/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/atermpp/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/aterm/include)
include_directories(${CMAKE_SOURCE_DIR}/3rd-party/dparser)
include_directories(${CMAKE_SOURCE_DIR}/build/workarounds)
include_directories(${CMAKE_SOURCE_DIR}/build/precompile)

set(mcrl2_lps_src
  ${CMAKE_CURRENT_SOURCE_DIR}/source/lps.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/tools.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/linearise.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/invariant_checker.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/nextstate_standard.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/confluence_checker.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/disjointness_checker.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/invariant_eliminator.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/regfrmtrans.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/simulator.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/simbase.cpp
)
set(mcrl2_lps_src ${mcrl2_lps_src} PARENT_SCOPE)

add_library(${PROJECT_NAME}
  ${mcrl2_lps_src}
)

target_link_libraries(${PROJECT_NAME}
  mcrl2_data
  mcrl2_process
)

# add install target:
install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_LIB_DIR})

=== libraries/lts/CMakeLists.txt ===
# Authors: Frank Stappers and Aad Mathijssen
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# ########## Project setup ##########
project(mcrl2_lts)
cmake_minimum_required(VERSION 2.6)

# ######### General setup ##########

include_directories(${CMAKE_SOURCE_DIR}/libraries/process/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/lts/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/trace/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/lps/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/data/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/core/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/atermpp/include)
include_directories(${CMAKE_SOURCE_DIR}/build/workarounds)
include_directories(${CMAKE_SOURCE_DIR}/build/precompile)
include_directories(${CMAKE_SOURCE_DIR}/3rd-party/dparser)
include_directories(${CMAKE_SOURCE_DIR}/libraries/aterm/include)
include_directories(${CMAKE_SOURCE_DIR}/3rd-party/svc/include)

set(mcrl2_lts_src
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_fsmlexer.cpp
#  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_fsmlexer.h
#  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_fsmlexer.ll
#  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_fsmparser.h
#  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_dotparser.h
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_fsmparser.cpp
#  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_dotlexer.ll
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_dotparser.cpp
#  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_fsmparser.yy
#  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_dotparser.yy
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_dotlexer.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_aut.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_lts.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_svc.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/sim_hashtable.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_dot.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_bcg.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/tree_set.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/liblts_fsm.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/exploration.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/lps2lts_lts.cpp
)
set(mcrl2_lts_src ${mcrl2_lts_src} PARENT_SCOPE)

# actual target:
add_library(${PROJECT_NAME}
  ${mcrl2_lts_src}
)

target_link_libraries(${PROJECT_NAME}
  mcrl2_aterm
  svc
  mcrl2_data
  mcrl2_lps
  mcrl2_syntax
  dparser
)

if( USE_BCG STREQUAL "" )
  include_directories( ${MCRL2_CADP_INCLUDE_DIR} )
  target_link_libraries(${PROJECT_NAME}
		imp_bcg_io
    imp_bcg
  )
endif( USE_BCG STREQUAL "" )

# add install target:
install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_LIB_DIR})

=== libraries/pbes/CMakeLists.txt ===
# Authors: Wieger Wesselink
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# ########## Project setup ##########
project(mcrl2_pbes)
cmake_minimum_required(VERSION 2.6)

# ######### General setup ##########

include_directories(${CMAKE_SOURCE_DIR}/libraries/aterm/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/atermpp/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/bes/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/core/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/data/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/lps/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/pbes/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/process/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)
include_directories(${CMAKE_SOURCE_DIR}/build/workarounds/)
include_directories(${CMAKE_SOURCE_DIR}/3rd-party/dparser)

set(mcrl2_pbes_src
  ${CMAKE_CURRENT_SOURCE_DIR}/source/pbes.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/tools.cpp
)

if(MCRL2_ENABLE_EXPERIMENTAL)
  set(mcrl2_pbes_src
    ${mcrl2_pbes_src}
    ${CMAKE_CURRENT_SOURCE_DIR}/source/experimental_tools.cpp
  )
endif(MCRL2_ENABLE_EXPERIMENTAL)
set(mcrl2_pbes_src ${mcrl2_pbes_src} PARENT_SCOPE)

# actual target:
add_library(${PROJECT_NAME}
  ${mcrl2_pbes_src}
)

target_link_libraries(${PROJECT_NAME}
  mcrl2_core
  mcrl2_data
  mcrl2_lps
)

# add install target:
install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_LIB_DIR})

=== libraries/process/CMakeLists.txt ===
# Authors: Jeroen Keiren
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# ########## Project setup ##########
project(mcrl2_process)
cmake_minimum_required(VERSION 2.6)

# ######### General setup ##########

include_directories(${CMAKE_SOURCE_DIR}/libraries/core/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/data/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/process/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/lps/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/aterm/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/atermpp/include)
include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)
include_directories(${CMAKE_SOURCE_DIR}/build/workarounds/)

set(mcrl2_process_src
  ${CMAKE_CURRENT_SOURCE_DIR}/source/alphabet_reduction.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/process.cpp
)

set(mcrl2_process_src ${mcrl2_process_src} PARENT_SCOPE)

# actual target:
add_library(${PROJECT_NAME}
  ${mcrl2_process_src}
)

target_link_libraries(${PROJECT_NAME}
  mcrl2_core
  mcrl2_data
)

# add install target:
install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_LIB_DIR})

=== libraries/utilities/CMakeLists.txt ===
# Authors: Frank Stappers and Aad Mathijssen
# Copyright: see the accompanying file COPYING or copy at
# https://svn.win.tue.nl/trac/MCRL2/browser/trunk/COPYING
#
# Distributed under the Boost Software License, Version 1.0.
# (See accompanying file LICENSE_1_0.txt or copy at
# http://www.boost.org/LICENSE_1_0.txt)

# ##################################
# ## mcrl2_utilities ##
# ##################################

project(mcrl2_utilities)
cmake_minimum_required(VERSION 2.6)

set(mcrl2_utilities_src
  ${CMAKE_CURRENT_SOURCE_DIR}/source/command_line_interface.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/toolset_version.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/logger.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/text_utility.cpp
)

set(mcrl2_utilities_src ${mcrl2_utilities_src}  PARENT_SCOPE)

set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/source/toolset_version.cpp
  PROPERTIES COMPILE_DEFINITIONS MCRL2_VERSION="${MCRL2_VERSION} \(${CMAKE_BUILD_TYPE}\)"
)

include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)

add_library(${PROJECT_NAME}
  ${mcrl2_utilities_src}
)

target_link_libraries(${PROJECT_NAME}
  ${Boost_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_LIB_DIR})

# ##############################
# ##    mcrl2_utilities_wx    ##
# ##############################

if(MCRL2_ENABLE_GUI_TOOLS)

project(mcrl2_utilities_wx)
cmake_minimum_required(VERSION 2.6)

set(mcrl2_utilities_wx_src
  ${CMAKE_CURRENT_SOURCE_DIR}/source/spinctrlfloat.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/colorbutton.cpp
  ${CMAKE_CURRENT_SOURCE_DIR}/source/font_renderer.cpp
)

set(mcrl2_utilities_wx_src ${mcrl2_utilities_wx_src} PARENT_SCOPE)

include_directories(${CMAKE_SOURCE_DIR}/libraries/utilities/include)
include_directories(${CMAKE_SOURCE_DIR}/build/precompile)

add_library(${PROJECT_NAME}
  ${mcrl2_utilities_wx_src}
)

target_link_libraries(${PROJECT_NAME}
  ${wxWidgets_LIBRARIES}
  ${OPENGL_LIBRARY}
)

# add install target:
install(TARGETS ${PROJECT_NAME} DESTINATION ${MCRL2_LIB_DIR})


endif(MCRL2_ENABLE_GUI_TOOLS)

=== debian/changelog ===
mcrl2 (201202.0-2) unstable; urgency=low

  [ Jeroen Keiren ]
  * Bugfix upload (closes: #661092).
  * debian/patches/series,
    debian/patches/dparser_header_fixes.patch:
    - Install headers belonging to dparser in their own directory.

  [ Paul van Tilburg ]
  * debian/control:
    - Changed myself to uploaded, made Jeroen maintainer. 
    - Bumped standards version to 3.9.3. 

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 24 Feb 2012 16:16:02 +0100

mcrl2 (201202.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/series,
    debian/patches/lintian_fixes.patch:
    - Dropped because it has been incorporated upstream.
  * debian/rules:
    - Set MCRL2_PACKAGE_RELEASE, which is required by upstream for
      proper version numbering.
  * debian/watch:
    - Update to the official naming convention used by upstream.
  * debian/copyright:
    - Update the copyright period.

 -- Jeroen Keiren <jkeiren@win.tue.nl>  Thu, 16 Feb 2012 15:24:08 +0100

=== debian/control ===
Source: mcrl2
Section: math
Priority: extra
Maintainer: Jeroen Keiren <jkeiren@win.tue.nl>
Uploaders: Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 5), cmake, libboost-filesystem-dev (>= 1.37), libboost-regex-dev (>= 1.37), libboost-signals-dev (>= 1.37), libboost-system-dev (>= 1.37), libboost-serialization-dev (>= 1.37), libwxgtk2.8-dev (>= 2.8.4), libglu1-mesa-dev (>= 7.0.1), libgl2ps-dev
Standards-Version: 3.9.3
Homepage: http://www.mcrl2.org/
Vcs-Browser: https://svn.win.tue.nl/viewcvs/MCRL2/packaging/mcrl2/trunk/
Vcs-Svn: https://svn.win.tue.nl/repos/MCRL2/packaging/mcrl2/trunk/

Package: mcrl2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: formal specification language toolset
 mCRL2 stands for micro Common Representation Language 2.  It is a
 specification language that can be used to specify and analyse the
 behaviour of distributed systems and protocols and is the successor to
 muCRL.  Using its accompanying toolset, systems can be analysed and
 verified automatically.
 .
 This toolset supports a collection of tools for linearisation, simulation,
 state-space exploration and generation and tools to optimise and analyse
 specifications.  Moreover, state spaces can be manipulated, visualised and
 analysed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Makefile to build the mCRL2 package using debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS_RELEASE = -O0 -g -DNDEBUG $(CFLAGS)
	CFLAGS_DEBUG   = -O0 -g $(CFLAGS)
else 
	CFLAGS_RELEASE = -O2 -g -DNDEBUG $(CFLAGS)
	CFLAGS_DEBUG   = -O2 -g $(CFLAGS)
endif

BUILD_TYPE = Release
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	BUILD_TYPE = Debug
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))  
    MAKEFLAGS += -j$(NUMJOBS)
endif

BUILD_FLAGS = -DCMAKE_INSTALL_PREFIX="/usr" \
              -DCMAKE_INSTALL_RPATH="/usr/lib/mcrl2" \
	      -DCMAKE_BUILD_TYPE="$(BUILD_TYPE)" \
	      -DCMAKE_C_FLAGS_RELEASE="$(CFLAGS_RELEASE)" \
	      -DCMAKE_VERBOSE_MAKEFILE="ON" \
	      -DMCRL2_ENABLE_EXPERIMENTAL="OFF" \
	      -DMCRL2_ENABLE_DEPRECATED="OFF"	 \
	      -DMCRL2_ENABLE_TEST_TARGETS="OFF" \
	      -DMCRL2_WITH_WXSTC="ON" \
	      -DMCRL2_MAN_PAGES="ON" \
	      -DMCRL2_PACKAGE_RELEASE="ON"
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	BUILD_FLAGS += -DCMAKE_SYSTEM_NAME=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS) \
		       -DCMAKE_SYSTEM_PROCESSOR=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU) \
		       -DCMAKE_C_COMPILER=$(DEB_BUILD_GNU_TYPE)-gcc
endif

SRC	:= $(CURDIR)
BUILD	:= $(CURDIR)/debian/build
TARGET	:= $(CURDIR)/debian/mcrl2

configure: configure-stamp

configure-stamp:
	dh_testdir
	[ -d $(BUILD) ] || mkdir $(BUILD)
	cd $(BUILD) && \
	  cmake $(BUILD_FLAGS) $(CURDIR) 
	touch $@

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure
	dh_testdir
	$(MAKE) -C $(BUILD) $(MAKEFLAGS)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf $(BUILD)
	rm -f configure-stamp build-stamp 
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) -C $(BUILD) install DESTDIR=$(TARGET)
	# Generate and install the man pages.
	export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$(BUILD)/usr/lib/mcrl2
	$(MAKE) -C $(BUILD) $(MAKEFLAGS)
	$(MAKE) -C $(BUILD) install DESTDIR=$(TARGET)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V --exclude=/usr/lib/mcrl2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indexp clean binary-indep binary-arch binary install

## mcrl2 201210.0

=== debian/changelog ===
mcrl2 (201210.0-1) unstable; urgency=low

  [ Jeroen Keiren ]
  * New upstream release.
  * debian/control:
    - Removed wxWidgets dependencies
    - Removed dependencies to all boost libraries except boost-system
    - Added qt dependencies
  * debian/rules:
    - Removed reference to wxSTC
  * debian/patches/series,
    debian/patches/dparser_header_fixes.patch:
    - Removed patch that was incorporated upstream

  [ Paul van Tilburg ]
  * Upload to Debian unstable

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 12 Oct 2012 11:35:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jeroen Keiren <jkeiren@win.tue.nl>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Build-Depends: debhelper (>= 5), cmake, libboost-filesystem-dev (>= 1.37), libboost-regex-dev (>= 1.37), libboost-signals-dev (>= 1.37), libboost-system-dev (>= 1.37), libboost-serialization-dev (>= 1.37), libwxgtk2.8-dev (>= 2.8.4), libglu1-mesa-dev (>= 7.0.1), libgl2ps-dev
+Build-Depends: debhelper (>= 5), cmake, libboost-system-dev (>= 1.37), libglu1-mesa-dev (>= 7.0.1), libgl2ps-dev, qt4-qmake, libqtcore4, libqtgui4, libqt4-xml, libqt4-opengl, libqt4-dev, libqt4-opengl-dev
 Standards-Version: 3.9.3
 Homepage: http://www.mcrl2.org/
 Vcs-Browser: https://svn.win.tue.nl/viewcvs/MCRL2/packaging/mcrl2/trunk/

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,6 @@
 	      -DMCRL2_ENABLE_EXPERIMENTAL="OFF" \
 	      -DMCRL2_ENABLE_DEPRECATED="OFF"	 \
 	      -DMCRL2_ENABLE_TEST_TARGETS="OFF" \
-	      -DMCRL2_WITH_WXSTC="ON" \
 	      -DMCRL2_MAN_PAGES="ON" \
 	      -DMCRL2_PACKAGE_RELEASE="ON"
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
